﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace SXTippster.Converters
{
    public class ConverterConnectedImages : IValueConverter
    {
        private const string P = "pack://application:,,,/Resources/ConnectLight.png";

        private const string P1 = "pack://application:,,,/Resources/NotConnectedLight.png";

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Boolean b = (Boolean)value;
            if(b != null)
            {
                if (b == true)
                {
                    BitmapImage logo = new BitmapImage();
                    logo.BeginInit();
                    //logo.UriSource = new Uri(@"..\..\Resources\ConnectLight.png", UriKind.Relative);
                    logo.UriSource = new Uri(P);
                    logo.EndInit();
                    return logo;
                }
                else
                {
                    BitmapImage logo = new BitmapImage();
                    logo.BeginInit();
                    //logo.UriSource = new Uri(@"..\..\Resources\NotConnectedLight.png", UriKind.Relative);
                    logo.UriSource = new Uri(P1);
                    logo.EndInit();
                    return logo;
                }
            }
            else
            {
                BitmapImage logo = new BitmapImage();
                logo.BeginInit();
                logo.UriSource = new Uri(P1);
                //logo.UriSource = new Uri("pack://application:,,,/AssemblyName;component/Resources/NotConnectedLight.png");
                logo.EndInit();
                return logo;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
